### Function

# Fwupd checksum_guess_kind

since: 0.9.3

#### Declaration [src]

    GChecksumType
    fwupd_checksum_guess_kind (
      const gchar* checksum
    )

#### Description [src]

Guesses the checksum kind based on the length of the hash.

Available since: 0.9.3

#### Parameters

`checksum`

  Type: `const gchar*`

  A checksum.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GChecksumType`

A checksum type, e.g. `G_CHECKSUM_SHA1`.